FPCLASSIFY(3) | Library Functions Manual | FPCLASSIFY(3)

# NAME

`fpclassify` — classify real floating type

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <math.h>`

int
`fpclassify`(real-floating x);

# DESCRIPTION

The `fpclassify`() macro performs classification of its argument x. An argument represented in a format wider than its semantic type is converted to its semantic type first. The classification is then based on the type of the argument.

## IEEE 754

`FP_INFINITE`
  infinity, either positive or negative
`FP_NAN`
  not-a-number (“NaN”)
`FP_NORMAL`
  normal
`FP_SUBNORMAL`
  subnormal
`FP_ZERO`
  zero

## VAX

`FP_ROP`
  reserved operand (“ROP”)
`FP_DIRTYZERO`
  dirty zero
`FP_NORMAL`
  finite
`FP_ZERO`
  true zero

# RETURN VALUES

The `fpclassify`() macro returns the value of the number classification macro appropriate to its argument x as described above.

# ERRORS

No errors are defined.

# SEE ALSO

isfinite(3), isnormal(3), math(3), signbit(3)

# STANDARDS

The `fpclassify`() macro conforms to ISO/IEC 9899:1999 (“ISO C99”).

January 14, 2004 | NetBSD 11.0